#include "precisetimer.h"

std::map<std::string, std::chrono::high_resolution_clock::time_point> PreciseTimer::m_startTimes;

void  PreciseTimer::start(const std::string& identifier)
{
  m_startTimes[identifier] = std::chrono::high_resolution_clock::now();
}

double  PreciseTimer::stop(const std::string& identifier)
{
  auto it = m_startTimes.find(identifier);
  if (it == m_startTimes.end()) return 0;
  auto elapsed = std::chrono::high_resolution_clock::now() - it->second;
  return ((double)std::chrono::duration_cast<std::chrono::microseconds>(elapsed).count()) / 1000.0;
}
