#include <vector>
#include <math.h>
#include "vector.h"

enum Integration {
  Euler,
  EulerCromer,
  RungeKutta4,
  Verlet
};

struct Particle {
  DclVector  position;
  DclVector  positionInit;
  double  mass;
  DclVector force;  // force on mass point

  // visualization properties
  double  r, g, b;
  double  radius;

  Particle() 
  {
    r = b = 1.0;
    g = 0.0;
    radius = 0.1;
  }
};

extern const int MAX_NUM_PARTICLES;